/**
* Classe Data.
*/
public class Data implements Comparable{
    int giorno, mese, anno;

    public Data(int giorno, int mese, int anno) {
        this.giorno = giorno;
        this.mese = mese;
        this.anno = anno;
    }

    public String toString() {
        return giorno + "/" + mese + "/" + anno;
    }
    
    public int compareTo(Object o) {
        Data d = (Data) o;
        if (anno != d.anno)
            return anno - d.anno;
        if (mese != d.mese)
            return mese - d.mese;
        return giorno - d.giorno;
    }
}
